--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
----- AlarmPoint Enterprise 3: DB2 DDL
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_USERS
--------------------------------------------------------------------------------
CREATE TABLE DS_USERS (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
SITE_NAME                     VARCHAR(100)                  ,
ROLE_LIST                     VARCHAR(2000)                 ,
STATUS                        VARCHAR(30)                   ,
LAST_NAME                     VARCHAR(100)                  NOT NULL,
FIRST_NAME                    VARCHAR(100)                  NOT NULL,
LANGUAGE_OVERRIDE             VARCHAR(100)                  ,
TIMEZONE_OVERRIDE             VARCHAR(100)                  ,
RECORDED_NAME                 VARCHAR(100)                  ,
WEB_LOGIN_TYPE                VARCHAR(30)                   ,
WEB_LOGIN                     VARCHAR(100)                  ,
WEB_PASSWORD                  VARCHAR(100)                  ,
LDAP_DOMAIN                   VARCHAR(100)                  ,
PHONE_LOGIN                   VARCHAR(100)                  ,
PHONE_PASSWORD                VARCHAR(30)                   ,
USER_ID                       VARCHAR(100)                  NOT NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
HAS_MOBILE_ACCESS             CHAR(1)                       ,
CONSTRAINT DS_USERS_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_USERS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_USER_JOIN_ATTRIBUTES
--------------------------------------------------------------------------------
CREATE TABLE DS_USER_JOIN_ATTRIBUTES (
USER_EXTERNAL_KEY             VARCHAR(250)                  NOT NULL,
ATTRIBUTE_EXTERNAL_KEY        VARCHAR(250)                  NOT NULL,
CONSTRAINT DS_USER_JOIN_ATTRIBUTES_PK
	PRIMARY KEY (USER_EXTERNAL_KEY, ATTRIBUTE_EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_USER_JOIN_ATTRIBUTES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_PERSON_SUPERVISORS
--------------------------------------------------------------------------------
CREATE TABLE DS_PERSON_SUPERVISORS (
USER_EXTERNAL_KEY             VARCHAR(250)                  NOT NULL,
PERSON_SUPERVISOR_LIST        VARCHAR(2000)                 ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_PERSON_SUPERVISORS_PK
	PRIMARY KEY (USER_EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_PERSON_SUPERVISORS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_USER_CUSTOM_VALUES
--------------------------------------------------------------------------------
CREATE TABLE DS_USER_CUSTOM_VALUES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
CUSTOM_USER_KEY               VARCHAR(250)                  NOT NULL,
FIELD_KEY                     VARCHAR(250)                  NOT NULL,
CUSTOM_VALUE                  VARCHAR(100)                  NOT NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_USER_CUSTOM_VALUES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_USER_CUSTOM_VALUES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_EMAIL_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_EMAIL_DEVICES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
ADDRESS                       VARCHAR(100)                  NOT NULL,
USER_KEY                      VARCHAR(250)                  NOT NULL,
DEVICE_NAME                   VARCHAR(100)                  ,
SERVICE_PROVIDER_NAME         VARCHAR(100)                  ,
STATUS                        VARCHAR(30)                   ,
DEFAULT_DEVICE                CHAR(1)                       ,
DEVICE_ORDER                  VARCHAR(38)                   ,
DELAY                         VARCHAR(38)                   ,
LOCK_24X7                     CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_EMAIL_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_EMAIL_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_IM_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_IM_DEVICES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
ADDRESS                       VARCHAR(100)                  NOT NULL,
USER_KEY                      VARCHAR(250)                  NOT NULL,
DEVICE_NAME                   VARCHAR(100)                  ,
SERVICE_PROVIDER_NAME         VARCHAR(100)                  ,
STATUS                        VARCHAR(30)                   ,
DEFAULT_DEVICE                CHAR(1)                       ,
DEVICE_ORDER                  VARCHAR(38)                   ,
DELAY                         VARCHAR(38)                   ,
LOCK_24X7                     CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_IM_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_IM_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_TEXT_PAGER_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_TEXT_PAGER_DEVICES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
PIN                           VARCHAR(100)                  NOT NULL,
IS_TWO_WAY                    CHAR(1)                       ,
USER_KEY                      VARCHAR(250)                  NOT NULL,
DEVICE_NAME                   VARCHAR(100)                  ,
SERVICE_PROVIDER_NAME         VARCHAR(100)                  ,
STATUS                        VARCHAR(30)                   ,
DEFAULT_DEVICE                CHAR(1)                       ,
DEVICE_ORDER                  VARCHAR(38)                   ,
DELAY                         VARCHAR(38)                   ,
LOCK_24X7                     CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_TEXT_PAGER_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_TEXT_PAGER_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_NUMERIC_PAGER_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_NUMERIC_PAGER_DEVICES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
COUNTRY                       VARCHAR(100)                  ,
PIN                           VARCHAR(100)                  ,
AREA_CODE                     VARCHAR(100)                  ,
PHONE_NUMBER                  VARCHAR(100)                  ,
USER_KEY                      VARCHAR(250)                  NOT NULL,
DEVICE_NAME                   VARCHAR(100)                  ,
SERVICE_PROVIDER_NAME         VARCHAR(100)                  ,
STATUS                        VARCHAR(30)                   ,
DEFAULT_DEVICE                CHAR(1)                       ,
DEVICE_ORDER                  VARCHAR(38)                   ,
DELAY                         VARCHAR(38)                   ,
LOCK_24X7                     CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_NUMERIC_PAGER_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_NUMERIC_PAGER_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_VOICE_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_VOICE_DEVICES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
COUNTRY                       VARCHAR(100)                  ,
AREA_CODE                     VARCHAR(10)                   ,
PHONE_NUMBER                  VARCHAR(30)                   ,
EXTENSION                     VARCHAR(10)                   ,
USER_KEY                      VARCHAR(250)                  NOT NULL,
DEVICE_NAME                   VARCHAR(100)                  ,
SERVICE_PROVIDER_NAME         VARCHAR(100)                  ,
STATUS                        VARCHAR(30)                   ,
DEFAULT_DEVICE                CHAR(1)                       ,
DEVICE_ORDER                  VARCHAR(38)                   ,
DELAY                         VARCHAR(38)                   ,
LOCK_24X7                     CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_VOICE_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_VOICE_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_TEXT_PHONE_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_TEXT_PHONE_DEVICES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
TARGET_NUMBER                 VARCHAR(100)                  ,
USER_KEY                      VARCHAR(250)                  NOT NULL,
DEVICE_NAME                   VARCHAR(100)                  ,
COUNTRY_CODE                  VARCHAR(3)                    ,
SERVICE_PROVIDER_NAME         VARCHAR(100)                  ,
STATUS                        VARCHAR(30)                   ,
DEFAULT_DEVICE                CHAR(1)                       ,
DEVICE_ORDER                  VARCHAR(38)                   ,
DELAY                         VARCHAR(38)                   ,
LOCK_24X7                     CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_TEXT_PHONE_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_TEXT_PHONE_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_GENERIC_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_GENERIC_DEVICES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
PIN                           VARCHAR(100)                  ,
USER_KEY                      VARCHAR(250)                  NOT NULL,
DEVICE_NAME                   VARCHAR(100)                  ,
SERVICE_PROVIDER_NAME         VARCHAR(100)                  ,
STATUS                        VARCHAR(30)                   ,
DEFAULT_DEVICE                CHAR(1)                       ,
DEVICE_ORDER                  VARCHAR(38)                   ,
DELAY                         VARCHAR(38)                   ,
LOCK_24X7                     CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_GENERIC_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_GENERIC_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_BES_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_BES_DEVICES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
ADDRESS                       VARCHAR(100)                  ,
USER_KEY                      VARCHAR(250)                  NOT NULL,
DEVICE_NAME                   VARCHAR(100)                  ,
SERVICE_PROVIDER_NAME         VARCHAR(100)                  ,
STATUS                        VARCHAR(30)                   ,
DEFAULT_DEVICE                CHAR(1)                       ,
DEVICE_ORDER                  VARCHAR(38)                   ,
DELAY                         VARCHAR(38)                   ,
LOCK_24X7                     CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_BES_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_BES_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_GROUPS
--------------------------------------------------------------------------------
CREATE TABLE DS_GROUPS (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
GROUP_NAME                    VARCHAR(100)                  NOT NULL,
DESCRIPTION                   VARCHAR(200)                  ,
STATUS                        VARCHAR(30)                   ,
USE_DEFAULT_DEVICES           CHAR(1)                       ,
TIMEZONE                      VARCHAR(100)                  ,
GROUP_SITE_NAME               VARCHAR(100)                  ,
SUPERVISOR_LIST               VARCHAR(2000)                 ,
OBSERVED_BY_ALL               CHAR(1)                       ,
OBSERVER_LIST                 VARCHAR(2000)                 ,
ALLOW_DUPLICATES              CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_GROUPS_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_GROUPS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_TEAMS
--------------------------------------------------------------------------------
CREATE TABLE DS_TEAMS (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
GROUP_KEY                     VARCHAR(250)                  NOT NULL,
SUB_TARGET_NAME               VARCHAR(100)                  NOT NULL,
DESCRIPTION                   VARCHAR(200)                  ,
USE_DEFAULT_DEVICES           CHAR(1)                       ,
ESCALATION_SCHEDULE           VARCHAR(255)                  ,
IS_ROUND_ROBIN                CHAR(1)                       ,
ADD_24X7_COVERAGE             CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_TEAMS_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_TEAMS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_TEAM_MEMBERSHIPS
--------------------------------------------------------------------------------
CREATE TABLE DS_TEAM_MEMBERSHIPS (
TEAM_KEY                      VARCHAR(250)                  NOT NULL,
MEMBER_KEY                    VARCHAR(250)                  NOT NULL,
MEMBER_TYPE                   VARCHAR(30)                   ,
MEMBER_SUB_TYPE               VARCHAR(30)                   ,
MEMBER_SEQUENCE_NUMBER        VARCHAR(38)                   NOT NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_TEAM_MEMBERSHIPS_PK
	PRIMARY KEY (TEAM_KEY, MEMBER_SEQUENCE_NUMBER) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_TEAM_MEMBERSHIPS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_RECURRENT_COVERAGES
--------------------------------------------------------------------------------
CREATE TABLE DS_RECURRENT_COVERAGES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
OWNING_GROUP_KEY              VARCHAR(250)                  NOT NULL,
COVERAGE_NAME                 VARCHAR(100)                  NOT NULL,
START_DATE                    VARCHAR(10)                   ,
START_TIME                    VARCHAR(5)                    NOT NULL,
DURATION                      VARCHAR(77)                   NOT NULL,
DAY_PATTERN                   VARCHAR(62)                   NOT NULL,
FREQUENCY                     VARCHAR(10)                   NOT NULL,
INTERVAL                      VARCHAR(38)                   NOT NULL,
INCLUDE_SITE_HOLIDAYS         CHAR(1)                       ,
RECURRENCE_END                VARCHAR(38)                   ,
WORKER_TEAM_KEY               VARCHAR(250)                  ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_RECURRENT_COVERAGES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_RECURRENT_COVERAGES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_HOLIDAY_COVERAGES
--------------------------------------------------------------------------------
CREATE TABLE DS_HOLIDAY_COVERAGES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
OWNING_GROUP_KEY              VARCHAR(250)                  NOT NULL,
COVERAGE_NAME                 VARCHAR(100)                  NOT NULL,
START_DATE                    VARCHAR(10)                   ,
START_TIME                    VARCHAR(5)                    NOT NULL,
DURATION                      VARCHAR(77)                   NOT NULL,
RECURRENCE_END                VARCHAR(38)                   ,
WORKER_TEAM_KEY               VARCHAR(250)                  ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_HOLIDAY_COVERAGES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_HOLIDAY_COVERAGES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_SITES
--------------------------------------------------------------------------------
CREATE TABLE DS_SITES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
SITENAME                      VARCHAR(100)                  NOT NULL,
SITE_STATUS                   VARCHAR(30)                   NOT NULL,
SITE_LANGUAGE                 VARCHAR(100)                  NOT NULL,
SITE_TIMEZONE                 VARCHAR(100)                  NOT NULL,
SITE_ADDRESS_01               VARCHAR(100)                  ,
SITE_ADDRESS_02               VARCHAR(100)                  ,
SITE_CITY                     VARCHAR(100)                  ,
SITE_COUNTRY                  VARCHAR(100)                  ,
SITE_REGION_NAME              VARCHAR(100)                  ,
SITE_MAIL_CODE                VARCHAR(10)                   ,
SITE_CLUSTER_01               VARCHAR(100)                  ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_SITES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_SITES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_ATTRIBUTE_CATEGORIES
--------------------------------------------------------------------------------
CREATE TABLE DS_ATTRIBUTE_CATEGORIES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
CATEGORY_NAME                 VARCHAR(100)                  NOT NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_ATTRIBUTE_CATEGORIES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_ATTRIBUTE_CATEGORIES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_ATTRIBUTES
--------------------------------------------------------------------------------
CREATE TABLE DS_ATTRIBUTES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
ATTRIBUTE_NAME                VARCHAR(100)                  NOT NULL,
ATTRIBUTE_CATEGORY_KEY        VARCHAR(250)                  NOT NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_ATTRIBUTES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_ATTRIBUTES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_CUSTOM_FIELDS
--------------------------------------------------------------------------------
CREATE TABLE DS_CUSTOM_FIELDS (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
CUSTOM_FIELD_NAME             VARCHAR(100)                  NOT NULL,
CUSTOM_FIELD_TYPE             VARCHAR(100)                  NOT NULL,
CUSTOM_FIELD_MANDATORY        CHAR(1)                       NOT NULL,
CUSTOM_FIELD_MAX              VARCHAR(38)                   ,
CUSTOM_FIELD_MIN              VARCHAR(38)                   ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_CUSTOM_FIELDS_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_CUSTOM_FIELDS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_CUSTOM_FIELD_JOIN_VALUES
--------------------------------------------------------------------------------
CREATE TABLE DS_CUSTOM_FIELD_JOIN_VALUES (
FIELD_EXTERNAL_KEY            VARCHAR(250)                  NOT NULL,
FIELD_VALUE                   VARCHAR(200)                  NOT NULL,
CONSTRAINT DS_CUSTOM_FIELD_JOIN_VALUES_PK
	PRIMARY KEY (FIELD_EXTERNAL_KEY, FIELD_VALUE) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_CUSTOM_FIELD_JOIN_VALUES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_EVENT_DOMAIN_PREDICATES
--------------------------------------------------------------------------------
CREATE TABLE DS_EVENT_DOMAIN_PREDICATES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
EVENT_DOMAIN_KEY              VARCHAR(250)                  NOT NULL,
PREDICATE_NAME                VARCHAR(100)                  NOT NULL,
PREDICATE_TYPE                VARCHAR(100)                  NOT NULL,
RANKING                       VARCHAR(38)                   ,
IMPORTANT                     CHAR(1)                       ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
CONSTRAINT DS_EVENT_DOMAIN_PREDICATES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_EVENT_DOMAIN_PREDICATES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_PREDICATE_JOIN_VALUES
--------------------------------------------------------------------------------
CREATE TABLE DS_PREDICATE_JOIN_VALUES (
PREDICATE_EXTERNAL_KEY        VARCHAR(250)                  NOT NULL,
PREDICATE_VALUE               VARCHAR(100)                  NOT NULL,
CONSTRAINT DS_PREDICATE_JOIN_VALUES_PK
	PRIMARY KEY (PREDICATE_EXTERNAL_KEY, PREDICATE_VALUE) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_PREDICATE_JOIN_VALUES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_DEVICE_TIMEFRAMES
--------------------------------------------------------------------------------
CREATE TABLE DS_DEVICE_TIMEFRAMES (
EXTERNAL_KEY                  VARCHAR(250)                  NOT NULL,
DT_OWNING_DEVICE_TYPE         VARCHAR(250)                  NOT NULL,
DT_OWNING_DEVICE_KEY          VARCHAR(250)                  ,
DT_OWNING_DEVICE_NAME         VARCHAR(255)                  ,
DT_OWNING_DEVICE_OWNER_UID    VARCHAR(255)                  ,
DT_NAME                       VARCHAR(100)                  NOT NULL,
DT_START_TIME                 VARCHAR(5)                    NOT NULL,
DT_DURATION                   VARCHAR(77)                   NOT NULL,
DT_DAY_PATTERN                VARCHAR(62)                   NOT NULL,
DT_EXCLUDE_HOLIDAYS           CHAR(1)                       ,
ALARMPOINT_ACTION             CHAR(1)                       ,
LAST_SYNC_DATE                TIMESTAMP                     ,
IS_EXTERNALLY_OWNED           CHAR(1)                       ,
CONSTRAINT DS_DEVICE_TIMEFRAMES_PK
	PRIMARY KEY (EXTERNAL_KEY) 
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_DEVICE_TIMEFRAMES

--------------------------------------------------------------------------------
----- Foreign Keys: 
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
-----$$ END Foreign Keys:
